Loading...
Searching...
No Matches
janus_textroom_session Struct Reference
Collaboration diagram for janus_textroom_session:
[legend]

## Data Fields

janus_plugin_session * | handle
gint64 | sdp_sessid
gint64 | sdp_version
GHashTable * | rooms
janus_mutex | mutex
volatile gint | setup
volatile gint | dataready
volatile gint | hangingup
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## dataready

volatile gint janus_textroom_session::dataready

## destroyed

volatile gint janus_textroom_session::destroyed

## handle

janus_plugin_session* janus_textroom_session::handle

## hangingup

volatile gint janus_textroom_session::hangingup

## mutex

janus_mutex janus_textroom_session::mutex

## ref

janus_refcount janus_textroom_session::ref

## rooms

GHashTable* janus_textroom_session::rooms

## sdp_sessid

gint64 janus_textroom_session::sdp_sessid

## sdp_version

gint64 janus_textroom_session::sdp_version

## setup

volatile gint janus_textroom_session::setup

The documentation for this struct was generated from the following file:

- janus_textroom.c